## Apache Zeta Components Manual :: Docs For Class ezcWorkflowInvalidInputException

### Workflow::ezcWorkflowInvalidInputException

### Class ezcWorkflowInvalidInputException

This exception will be thrown when an error occurs during input validation in an input node.

Source for this file: /Workflow/src/exceptions/invalid_input.php

    Exception
       |
       --ezcBaseException
          |
          --ezcWorkflowException
             |
             --ezcWorkflowExecutionException
                |
                --ezcWorkflowInvalidInputException

Version: | //autogen//

### Properties

array | read | `$errors` The input validation error(s).

### Member Variables

protected array(string=>mixed) | `$properties = array( 'errors' => array(),)` Container to hold the properties

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public ezcWorkflowInvalidInputException | `__construct( $message )` Constructor.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

ezcWorkflowInvalidInputException __construct( array $message )

Constructor.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$message` | array |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3